> ## Documentation Index
> Fetch the complete documentation index at: https://notification-docs.platform.ai71services.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Onboard a product with releated organizations

> Onboard a product with releated organizations and create respective credentials



## OpenAPI

````yaml specs/notification_api_docs.json post /api/v1/onboarding/product
openapi: 3.0.1
info:
  title: Notifications API
  description: Notification service for sending email, sms and push notifications
  contact: {}
  version: '1.0'
servers:
  - url: https://notification.platform.dev.ai71services.ai/
security: []
paths:
  /api/v1/onboarding/product:
    post:
      tags:
        - Onboarding API's
      summary: Onboard a product with releated organizations
      description: >-
        Onboard a product with releated organizations and create respective
        credentials
      requestBody:
        description: Onboarding Product Request body
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/entity.OnboardingProductRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/entity.OnboardingProductResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/entity.ResponseError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/entity.ResponseError'
components:
  schemas:
    entity.OnboardingProductRequest:
      required:
        - product
      type: object
      properties:
        organizations:
          type: array
          items:
            $ref: '#/components/schemas/entity.OrganizationRequestObj'
        product:
          $ref: '#/components/schemas/entity.ProductRequestObj'
    entity.OnboardingProductResponse:
      required:
        - product
      type: object
      properties:
        organizations:
          type: array
          items:
            $ref: '#/components/schemas/entity.OrganizationResponseObj'
        product:
          $ref: '#/components/schemas/entity.ProductResponseObj'
    entity.ResponseError:
      type: object
      properties:
        error:
          type: string
    entity.OrganizationRequestObj:
      required:
        - active
        - name
      type: object
      properties:
        active:
          type: boolean
        name:
          type: string
    entity.ProductRequestObj:
      required:
        - active
        - name
      type: object
      properties:
        active:
          type: boolean
        name:
          type: string
    entity.OrganizationResponseObj:
      required:
        - active
        - apiKey
        - id
        - name
        - product_id
      type: object
      properties:
        active:
          type: boolean
        apiKey:
          type: string
        id:
          type: string
        name:
          type: string
        product_id:
          type: string
    entity.ProductResponseObj:
      required:
        - active
        - apiKey
        - id
        - name
      type: object
      properties:
        active:
          type: boolean
        apiKey:
          type: string
        id:
          type: string
        name:
          type: string

````